#include <stdio.h>

  char op = 1;
  int a, b;

  int inmatning(){
    printf("Skriv in första talet och tryck ENTER: ");
    scanf("%d", &a);
    printf("Och andra talet: ");
    scanf("%d", &b);
  }
  
  int ADD(a,b){
    printf("Addition av dessa tal ger: %d\n", a+b);
  }
  
  int SUB(a,b){
    printf("Subrahering av dessa tal ger: %d\n", a-b);
  }

int main() {
  

  while(1){  
  
  printf("Vilken operation vill du utföra (+,-)? :"); 
  scanf("%c", &op);
  
  if(op == '0'){
    break;
  }

  else if(op == '+'){
    printf("Du har valt att addera.\n");
    inmatning();
    ADD(a, b);
  }

  else if(op == '-'){
    printf("Du har valt att subtrahera.\n");
    inmatning();
    SUB(a, b);
  }
  else{
    printf("Mata in ett giltigt värde.\n");
  }
  }
return 0;
} 
